
Foreman - Bug #23915

Create Host -> RHEV Image: Incorrect CPU cores count filled when using APIv4

06/13/2018 10:30 AM - Ori Rabin

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1589779 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1589779

Description of problem:

In a host creation form, when I select a RHEV CR that uses APIv4 and select some image in the OS tab, I get incorrect number (1) in

Cores field in the VM tab. This does not happen with APIv3. I guess this is caused by actually using processor count instead of core

count.

Version-Release number of selected component (if applicable):

Sat 6.4 snap 7

How reproducible:

Deterministic

Steps to Reproduce:

1. Have a Sat, RHEV with some template with cpu_count!=cores!=1, this RHEV added to Sat (with apiv4==true) and Image assigned

to it, using that template

2. Hosts -> Create Host

3. Select RHEV as provider, go to OS tab, select arch + OS, select Image Based

4. Select the image, go to VM tab

Actual results:

Cores==1

Expected results:

Cores should be number of cores set in the template

Related issues:

Is duplicate of Foreman - Bug #23916: Create Host -> RHEV Image: Incorrect CP... Closed

History

#1 - 06/18/2018 05:53 AM - Ori Rabin

- Status changed from New to Duplicate

#2 - 06/18/2018 05:54 AM - Ori Rabin

- Is duplicate of Bug #23916: Create Host -> RHEV Image: Incorrect CPU cores count filled when using APIv4 added
